/*
 * This file is part of the Scandit Data Capture SDK
 *
 * Copyright (C) 2023- Scandit AG. All rights reserved.
 */

#import <ScanditCaptureCore/SDCVibration.h>

NS_ASSUME_NONNULL_BEGIN

NS_SWIFT_NAME(WaveFormVibration)
SDC_EXPORTED_SYMBOL
@interface SDCWaveFormVibration : SDCVibration

@property (nonatomic, nonnull, readonly) NSArray<NSNumber *> *timings NS_REFINED_FOR_SWIFT;
@property (nonatomic, nullable, readonly) NSArray<NSNumber *> *amplitudes NS_REFINED_FOR_SWIFT;
@property (nonatomic, nonnull, readonly) NSString *JSONString;

- (instancetype)initWithTimings:(nonnull NSArray<NSNumber *> *)timings NS_REFINED_FOR_SWIFT;
- (instancetype)initWithTimings:(nonnull NSArray<NSNumber *> *)timings
                     amplitudes:(nullable NSArray<NSNumber *> *)amplitudes NS_REFINED_FOR_SWIFT;

@end

NS_ASSUME_NONNULL_END
